# -*- encoding: utf-8 -*-
# stub: bundler-shellsplit-plugin 1.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "bundler-shellsplit-plugin".freeze
  s.version = "1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/wovnio/bundler-shellsplit-plugin/blob/master/CHANGELOG.md", "homepage_uri" => "https://github.com/wovnio/bundler-shellsplit-plugin", "source_code_uri" => "https://github.com/wovnio/bundler-shellsplit-plugin" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Marissa Staib".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-05-12"
  s.description = "Plugin to fix shell splitting of bundle config arguments in Bundler 1.17.3 to Bundler 2.0.2, fixed in Bundler 2.1.0. In the affected versions, multiple arguments to bundle config become a single argument with spaces. This plugin reverses that transformation. Adapted from https://github.com/rubygems/bundler/issues/6940#issuecomment-470643613 and fixes https://github.com/rubygems/bundler/issues/6940 for these older versions.".freeze
  s.email = ["marissa.staib@wovn.io".freeze]
  s.homepage = "https://github.com/wovnio/bundler-shellsplit-plugin".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Plugin to fix shell splitting of bundle config arguments in Bundler 1.17.3 to Bundler 2.0.2, fixed in Bundler 2.1.0.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
  end
end
